Skip to main content
GET
/
search
Search Transactions
curl --request GET \
  --url https://sandbox.fapshi.com/search \
  --header 'apikey: <api-key>' \
  --header 'apiuser: <api-key>'
[
  {
    "transId": "<string>",
    "status": "CREATED",
    "medium": "mobile money",
    "serviceName": "<string>",
    "transType": "Collection",
    "amount": 123,
    "revenue": 123,
    "payerName": "<string>",
    "email": "jsmith@example.com",
    "redirectUrl": "<string>",
    "externalId": "<string>",
    "userId": "<string>",
    "webhook": "<string>",
    "reason": "<string>",
    "financialTransId": "<string>",
    "dateInitiated": "2023-12-25",
    "dateConfirmed": "2023-12-25"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.fapshi.com/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

GET /search Search for transactions based on criteria.

Query Parameters

NameDescriptionAllowed Values
statusFilter transactions by status.created, successful, failed, expired
mediumFilter by payment medium.mobile money, orange money
startStart date (YYYY-MM-DD) for filtering initiated transactions.Date format
endEnd date (YYYY-MM-DD) for filtering initiated transactions.Date format
amtExact amount to filter by.Integer
limitMaximum number of results (default 10).1 to 100
sortSort order: asc or desc. Defaults to descending (most recent first).asc, desc
Invalid query parameter values are ignored.

Authorizations

apiuser
string
header
required
apikey
string
header
required

Query Parameters

status
enum<string>

Filter by transaction status.

Available options:
created,
successful,
failed,
expired
medium
enum<string>

Filter by payment medium.

Available options:
mobile money,
orange money
start
string<date>

Start date (YYYY-MM-DD).

end
string<date>

End date (YYYY-MM-DD).

amt
integer

Exact amount to filter.

limit
integer
default:10

Maximum number of results.

Required range: 1 <= x <= 100
sort
enum<string>
default:desc

Sort order.

Available options:
asc,
desc

Response

Filtered list of transactions

transId
string

Transaction ID of the payment.

status
enum<string>

Transaction status

Available options:
CREATED,
PENDING,
SUCCESSFUL,
FAILED,
EXPIRED
medium
enum<string>

Payment method

Available options:
mobile money,
orange money,
fapshi
serviceName
string

Name of the service in use

transType
enum<string>

Type of transaction

Available options:
Collection,
Payout
amount
integer

Transaction amount

revenue
integer

Amount received when Fapshi fees have been deducted

payerName
string

Client name

email
string<email>

Client email

redirectUrl
string<uri>

URL to redirect after payment

externalId
string

The transaction ID on your application

userId
string

ID of the client on your application

webhook
string<uri>

The webhook you defined for your service

reason
string

Typically appears when a payout via fapshi fails

financialTransId
string

Transaction ID with the payment operator

dateInitiated
string<date>

Date when the payment was initiated

dateConfirmed
string<date>

Date when the payment was made